<?php
	session_start();
	if($_SESSION['adm'])
	{
		$userid= $_SESSION['adm'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		date_default_timezone_set("asia/Kolkata");
	    $datetime= Date("Y-m-d - h:i:s A");
		$time= Date("h:i:s A");
		$date= Date("Y-m-d");
			
		$query8="select * from wallet where Userid=$userid order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
		
?>
<html>
<title>LLP Recharge</title>
<head>
<style>
body{background:url('bg.jpg'); background-size:cover; width:100%; height:700px; margin:0px;}

.head{background:; width:1350px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420; font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040; font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420; margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
	
.menu{background:#996420; height:40px; width:1300px; margin:0 0 0 20px; padding:0;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #bal:hover{background:#996420; cursor:text;}
 

 #heading{margin-left:20px;}
 .search{width:1300px; margin:10 0 0 20px; height:60px; line-height:60px;}
  .rechhistoryhead{width:1400px; background:#996420; color:white; height:40px;
 margin:0  0 0 20px; line-height:40px;}
 .rechhistoryhead p{margin-left:10px;}
 .rechreport{ margin:0;}
#t1{ width:1400px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){}
 
 #red{background:#f8c4c8;}
 #white{background:#e6fbea;}
.foot{margin:50px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
	</div>
		<h3 id="heading">Account Reports<h3><hr>
	<div class="search">
	<form method="post">
		From Date: <input type="date" name="fdate" value="<?php echo $date; ?>">
		 <input type="submit" name="submit">
	</form>
	</div>
	
	<div class="rechhistoryhead">
		<p>Transaction Reports</p>
	</div>
	
	<div class="rechreport">
	
		<?php
		include'connection.php';
		$RetalerId=$_GET['uid'];
		$TotalCredit=0;
		$TotalDebit=0;
		echo "<table width='100%' border='1' id='t1' cellpadding='5'>";
				echo "<tr>";
					echo "<th>Sl No.</th>";
					echo "<th>Payment Date | Time</th>";
					echo "<th>E-wallet Id</th>";
					echo "<th>Pay&Rech. Id</th>";
					echo "<th>Transaction By</th>";
					echo "<th>Transaction Type</th>";
					echo "<th>Mobile No.</th>";
					echo "<th>Amount</th>";
					echo "<th>Company Name</th>";
					echo "<th>Discription</th>";
					echo "<th>Opening Bal.</th>";
					echo "<th>Credit</th>";
					echo "<th>Debit</th>";
					echo "<th>Closing Bal.</th>";
				echo "</tr>";
		
		if(isset($_POST['submit']))
		{
			$sl=0;
			$fdate=$_POST['fdate'];
			$Totaldate=$fdate;
			$quOpBal="select * from wallet where Userid='$RetalerId' and Date='$fdate' order by Id asc";
			$reOpBal=mysqli_query($con,$quOpBal);
			$rowOpBal=mysqli_fetch_array($reOpBal);
			$OpeningBal=$rowOpBal['Openingbalance'];
			
			$quClBal="select * from wallet where Userid='$RetalerId' and Date='$fdate' order by Id desc";
			$reClBal=mysqli_query($con,$quClBal);
			$rowClBal=mysqli_fetch_array($reClBal);
			$ClosingBal=$rowClBal['Balance'];
			
			$getrechhistq="select * from wallet where Userid='$RetalerId' and Date='$fdate' order by Id desc";
			$resultgetrechhid=mysqli_query($con,$getrechhistq);
			while($row=mysqli_fetch_array($resultgetrechhid))
			{
				$sl=$sl+1;
				if($row['Transactiontype']=='Recharge_Refund')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
				
				 $PayFromId=$row['Paymentfrom'];
				 $PayToId=$row['Paymentto'];
				$strPayFrom=substr($PayFromId,"0","2");
				$strPayTo=substr($PayToId,"0","2");
				$TableName="";
				if($strPayFrom==50 || $strPayTo==50)
				{
				    $TableName="retailer";
				}
				elseif($strPayFrom==20 || $strPayTo==20)
				{
				    $TableName="distributer";
				}
				elseif($strPayFrom==30 || $strPayTo==30)
				{
				    $TableName="masterdis";
				}
				elseif($strPayFrom==11 || $strPayTo==11)
				{
				    $TableName="admin";
				}
				
				if(empty($PayFromId) && empty($PayToId))
				{
				    $UsrName="Self";
				}
				else
				{
				$quGetName2="select * from $TableName where Userid='$PayFromId' or Userid='$PayToId'";
				$reGetName2=mysqli_query($con,$quGetName2);
				$dataGetName=mysqli_fetch_array($reGetName2);
				$UsrName=$dataGetName['Name'];
				}
				echo "<tr id='$bgcolor'>";
					echo "<td>".$sl."</td>";
					echo "<td>".$row['Date']." | ".$row['Time']."</td>";
					echo "<td>".$row['Id']."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$UsrName."</td>";
					echo "<td>".$row['Transactiontype']."</td>";
					echo "<td>".$row['Mobile']."</td>";
					echo "<td>".$row['Amount']."</td>";
					echo "<td>".$row['Operator']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td>".$row['Openingbalance']."</td>";
					echo "<td>".$row['Credit']."</td>";
					echo "<td>".$row['Debit']."</td>";
					echo "<td>".$row['Balance']."</td>";
				echo "</tr>";
				$TotalCredit=$TotalCredit+$row['Credit'];
				$TotalDebit=$TotalDebit+$row['Debit'];
			}
			
		}
		else
		{
			$sl=0;
			$Totaldate=$date;
			$quOpBal="select * from wallet where Userid='$RetalerId' and Date='$date' order by Id asc";
			$reOpBal=mysqli_query($con,$quOpBal);
			$rowOpBal=mysqli_fetch_array($reOpBal);
			$startBal=$rowOpBal['Balance'];
			$creditop=$rowOpBal['Credit'];
			$debitop=$rowOpBal['Debit'];
			$OpeningBal=$startBal+$debitop-$creditop;
			$quClBal="select * from wallet where Userid='$RetalerId' and Date='$date' order by Id desc";
			$reClBal=mysqli_query($con,$quClBal);
			$rowClBal=mysqli_fetch_array($reClBal);
			$ClosingBal=$rowClBal['Balance'];
			
			$getrechhistq="select * from wallet where Userid='$RetalerId' and Date='$date' order by Id desc";
			$resultgetrechhid=mysqli_query($con,$getrechhistq);
			
			while($row=mysqli_fetch_array($resultgetrechhid))
			{
				$sl=$sl+1;
				if($row['Transactiontype']=='Recharge_Refund')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
			    $PayFromId=$row['Paymentfrom'];
				$PayToId=$row['Paymentto'];
				$strPayFrom=substr($PayFromId,"0","2");
				$strPayTo=substr($PayToId,"0","2");
				$TableName="";
				if($strPayFrom==50 || $strPayTo==50)
				{
				    $TableName="retailer";
				}
				elseif($strPayFrom==20 || $strPayTo==20)
				{
				    $TableName="distributer";
				}
				elseif($strPayFrom==30 || $strPayTo==30)
				{
				    $TableName="masterdis";
				}
				elseif($strPayFrom==11 || $strPayTo==11)
				{
				    $TableName="admin";
				}
				if(empty($PayFromId) && empty($PayToId))
				{
				    $UsrName="Self";
				}
				else
				{
				$quGetName2="select * from $TableName where Userid='$PayFromId' or Userid='$PayToId'";
				$reGetName2=mysqli_query($con,$quGetName2);
				$dataGetName=mysqli_fetch_array($reGetName2);
				$UsrName=$dataGetName['Name'];
				}
				echo "<tr id='$bgcolor'>";
					echo "<td>".$sl."</td>";
					echo "<td>".$row['Date']." | ".$row['Time']."</td>";
					echo "<td>".$row['Id']."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$UsrName."</td>";
					echo "<td>".$row['Transactiontype']."</td>";
					echo "<td>".$row['Mobile']."</td>";
					echo "<td>".$row['Amount']."</td>";
					echo "<td>".$row['Operator']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td>".$row['Openingbalance']."</td>";
					echo "<td>".$row['Credit']."</td>";
					echo "<td>".$row['Debit']."</td>";
					echo "<td>".$row['Balance']."</td>";
				echo "</tr>";
				$TotalCredit=$TotalCredit+$row['Credit'];
				$TotalDebit=$TotalDebit+$row['Debit'];
			}
			
		}
		echo "<tr>";
		    echo "<th></th>";
		    echo "<th>Date</th>";
		    echo "<th></th>";
		    echo "<th></th>";
		    echo "<th></th>";
		    echo "<th></th>";
		    echo "<th>Diff</th>";
		    echo "<th></th>";
		    echo "<th></th>";
		    echo "<th></th>";
		    echo "<th>Openinging Bal</th>";
		    echo "<th>Total Credit</th>";
		    echo "<th>Total Debit</th>";
		    echo "<th>Closing Bal</th>";
		echo "</tr>";
		$TC=$OpeningBal+$TotalCredit."<br>";
		$TD=$TotalDebit+$ClosingBal."<br>";
		$Diff = $TD-$TC."<br>";
		echo "<tr id='White'>";
		    echo "<td></td>";
		    echo "<td>".$Totaldate."</td>";
		    echo "<td></td>";
		    echo "<td></td>";
		    echo "<td></td>";
		    echo "<td></td>";
		    echo "<td><a href='ReverseDiff.php?uid=".$RetalerId."&diff=".$Diff."&date=".$Totaldate."'>".$Diff."</a></td>";
		    echo "<td></td>";
		    echo "<td></td>";
		    echo "<td></td>";
		    echo "<td>".$OpeningBal."</td>";
		    echo "<td>".$TotalCredit."</td>";
		    echo "<td>".$TotalDebit."</td>";
		    echo "<td>".$ClosingBal."</td>";
		echo "</tr>";
		echo "</table>";
		?>
	
	</div>
	<div class="foot">
		<p style="text-align:center;">Copyright &copy; 2018 -2019 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>